@testset "Field Metric Tests" begin
  rtol = 1.0E-6 
  vmecfile = joinpath(@__DIR__,"wout_ku4.nc")
  vmec = VMEC.readVmecWout(vmecfile)
  vmecsurf = VmecSurface(0.9, vmec)
  @test isapprox(∇B_double_dot_∇B_target(vmecsurf, 128, 128), 0.9050433653192516, rtol=rtol)
end
